Loading...
Searching...
No Matches
debug.h File Reference

Global debugging flags. More...

Go to the source code of this file.

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Macros

#define | ISDEBUG(S)
#define | SETDEBUG(S, V)

## Functions

bool | gtsam::guardedIsDebug (const std::string &s)
void | gtsam::guardedSetDebug (const std::string &s, const bool v)
bool | gtsam::isDebugVersion ()

## Detailed Description

Global debugging flags.

Author
  Richard Roberts

Date
  Feb 1, 2011

## Macro Definition Documentation

## ISDEBUG

#define ISDEBUG | ( |  | S | ) |

Value:
(gtsam::guardedIsDebug(S))

## SETDEBUG

#define SETDEBUG | ( |  | S,
|  |  | V )

Value:
((void)(gtsam::guardedSetDebug(S,V)))